import java.util.*;
import java.io.*;
import java.lang.*;

class State implements Comparable<State> {
	public int t, x;

	public State(int t, int x) {
		this.t = t;
		this.x = x;
	}

	@Override
	public int compareTo(State state) {
		return this.t != state.t ? (this.t - state.t) : (this.x - state.x);
	}
}

class Result implements Comparable<Result> {
	public int num, c, ori;

	public Result(int num, int c, int ori) {
		this.num = num;
		this.c = c;
		this.ori = ori;
	}

	@Override
	public int compareTo(Result result) {
		return this.c != result.c ? this.c - result.c : -(this.num - result.num);
	}
}

public class Main
{

	public static void main(String[] args) throws IOException
	{
		BufferedReader bf = new BufferedReader(new InputStreamReader(System.in));
		String line = bf.readLine();
		StringTokenizer st = new StringTokenizer(line); 
		int n = Integer.parseInt(st.nextToken()); 
		int K = Integer.parseInt(st.nextToken()); 
		
		int i, j;

		int[] a = new int[n + 1];
		int[] b = new int[n + 1];
		int[] T = new int[K + 1];
		int[] R = new int[n + 1];
		int[] loc = new int[n + 1];
		int[] Num = new int[n + 1];

		for (i = 1; i <= n; i++) {
			line = bf.readLine();
			st = new StringTokenizer(line);
			a[i] = Integer.parseInt(st.nextToken());
			b[i] = Integer.parseInt(st.nextToken());
			Num[i] = i;
		}

		PriorityQueue<State> pq = new PriorityQueue<>();
		for(i = 1; i <= K; i++) {
			State state = new State(0, i);
			pq.offer(state);
		}

		List<Result> ans = new ArrayList<Result>();
		for(i = 1; i <= n; i++) {
			State state = pq.poll();
			T[state.x] += b[i];
			pq.offer(new State(T[state.x], state.x));
			ans.add(new Result(state.x, T[state.x], i));
		}
		Collections.sort(ans);

		long sum = 0, idx = 0;
		for (Result result : ans) {
			sum += (long)a[result.ori] * ++idx;
		}
		System.out.println(sum);
	}
}